
Foreman - Feature #1213

It should be possible to get email reports of Audit changes.

10/07/2011 07:32 PM - Bash Shell

Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: Audit Log   

Target version: 1.9.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1956

  

Description

Something like this is needed, because data kept in Foreman can have wide impact.

It would be better to get an email alert, before looking in the Audit logs.

For example, when a class is added/removed to a host-group, the group owners or site admin should get an email.

Or if a parameter is changed for a host, an email should be sent out.

Not sure if it is better to do this via observers, or in background jobs.

I tried to make a Audit observer + mailer, but it sends emails in the foreground, immediately.

And it sends 1 email for each entry in the Audit model, even if the multiple entries are for the same object (say Host).

Related issues:

Related to Foreman - Tracker #7585: Mail notifications tracker New

Associated revisions

Revision bc9558f7 - 05/18/2015 10:40 AM - Shlomi Zadok

fixes #1213 - Get email reports of audit changes

History

#1 - 07/01/2012 02:33 PM - Ohad Levy

- Status changed from New to Feedback

auditing happens whenever a db update happens.

if you want to do it in the background, we might do something similar to how we parse puppet reports and send a rake task to summaries it?

you should look at the new auditing stuff coming in 1.0, I think it makes much more sense now.

#2 - 09/23/2014 07:45 AM - Stephen Benjamin

- Related to Tracker #7585: Mail notifications tracker added

#3 - 10/01/2014 07:23 AM - Ohad Levy

- translation missing: en.field_release set to 21

#4 - 10/28/2014 08:24 AM - Dominic Cleal

- Description updated

- Status changed from Feedback to New

- translation missing: en.field_release deleted (21)

#5 - 11/11/2014 07:27 AM - Shlomi Zadok
- Assignee set to Shlomi Zadok

#6 - 11/18/2014 07:59 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1956 added

- Pull request deleted ()

#7 - 11/18/2014 08:03 AM - Dominic Cleal

- Category set to Audit Log

#8 - 05/18/2015 10:42 AM - Dominic Cleal

- translation missing: en.field_release set to 35

#9 - 05/18/2015 11:02 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset bc9558f7211dece45a9a379971101126220cbe40.
